# QActionEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QActionEvent(int type, QAction action, QAction before)

### Constructor Properties

- prototype: The QActionEvent prototype object

### Prototype Object Properties

The QActionEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- QAction action()
- QAction before()

### Instance Properties

QActionEvent objects have no special properties beyond those inherited from the QActionEvent prototype object.